var managagenda=(function(){
	var hal=0;
	var jumlah=30;
	var idkonten=0;
	return{
		
		caricanggih:function(){
			mload.sh();
			var ik_data = {ajax: 1,mode: "mod",cl: "managagenda",
				ikdata: {0:"datacari01",1:1}
			};
			
			$.ajax({url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					mload.hd();
					if(e!=false){
						var boxcari;
						var obj=new Object;
						obj.proses=function(a){
							$("#cari").val(a);
							boxcari.tutup();
							document.getElementById("btcari").click();
						};
						var datacari={"data":e,"proses":obj}
						boxcari=caricanggih.buka(datacari);
					}
				}
			});
		},
		enter:function(e){
			if(e.which == 13 || e.keyCode == 13){
				managagenda.loade();
			}
		},
		loade:function(){
			$("#hal_ke").val(0);
			managagenda.load();
		},
		load:function(){
			var nohal=$("#hal_ke").val()
			jumlah=$("#jumlah_hal").val();
			hal=(nohal-1)*jumlah;
			var cr=$("#cari").val();
			
			$("#grid_managagenda").html("");
			var loaderdata=mload.loading({"el":"loader_data_agenda"});
			
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "managagenda",
				ikdata: {0:"getTabel",1:hal,2:jumlah,3:cr}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					loaderdata.tutup();
					//alert(JSON.stringify(e));
					if(e!=false && e.length>0){
						
						if(e.length>0 && e[0]['halaman']>0){
							var htm;
							for(var i=0;i<e[0]['halaman'];i++){
								htm+="<option value='"+(i+1)+"'>"+(i+1)+"</option>";
							}
							$("#hal_ke").html(htm);
							
						}
						$("#hal_ke").val(nohal);
						
						var datatb={
							box:"grid_managagenda",
							data:e,
							lebarmin:"500px",
							trklik:{"data":"id","fungsi":"barisklik"},
							title:"kategori Menu",
							isi:[
									{"col":"","judul":"No","tipe":"urut","align":"center","lebar":"50px","halaman":hal,"jumlah":jumlah},
									{"col":"tanggal","judul":"Tanggal","tipe":"data","lebar":"120px"},
									{"col":"judul","judul":"Judul Konten","tipe":"data"},
									{"align":"center","judul":"Status","tipe":"tpl","tpl":"btstatus","lebar":"50px"},
									{"align":"center","judul":"","tipe":"tpl","tpl":"btedit","lebar":"60px"},
									
								],
							mod:"mod",
							module:"managagenda"
						};
						tabel.multisub(datatb);
					}else{
						loaderdata.pesan("BELUM ADA DATA AGENDA");
					}
				}
			});
		},
		buat:function(a){
			document.location=lokal+"member/mod/managagenda?id="+a+"&scrmenu="+modmenu.getmenuscr();
		},
		kembali:function(){
			document.location=lokal+"member/mod/managagenda?scrmenu="+modmenu.getmenuscr();
		},
		edit:function(a){
			idkonten=a['id'];
			
			$("#tanggal").datepicker({
				inline: true,
				dateFormat: 'dd/mm/yy'
			});
			
			var ted=tinymce.init({
			    selector: "textarea#keterangan",
			    theme: "modern",
			    height: 400,
			    relative_urls: false,
				remove_script_host: false,
			    plugins: [
			         "advlist autolink link image lists charmap print preview hr anchor pagebreak spellchecker",
			         "searchreplace visualblocks visualchars code fullscreen insertdatetime media nonbreaking",
			         "save table contextmenu directionality emoticons template paste textcolor kfile"
			   	],
			
			    toolbar: "kfile undo redo | styleselect | bold italic fontselect fontsizeselect | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image "
			});
			
		},
		
		simpan:function(){
			$("#loader_simpan_banner").html("");
			var nm=$("#judul").val();
			var tg=$("#tanggal").val();
			var jm=$("#jam").val();
			var ket=tinyMCE.get('keterangan').getContent();
			var err="";
			
			if(nm=="") err+="Judul agenda belum diisi.</br>";
			if(tg=="") err+="Tanggal agenda belum diisi.</br>";
			if(jm=="") err+="Jam agenda belum diisi.</br>";
			
			if(err!=""){
				$("#loader_simpan_banner").html(err);
				return;
			}
			
			
			var fg="inputkonten";
			if(idkonten>0){
				fg="editkonten";
			}
			var loadersimpan=mload.loader({"keterangan":"Proses simpan data agenda.."});
			var ik_data = {
				ajax: 1,
				mode: "mod",
				cl: "managagenda",
				ikdata: {0:fg,judul:nm,tanggal:tg,
					jam:jm,keterangan:ket,id:idkonten}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",
				type: "POST",
				dataType: "json",
				async:true,
				data: ik_data,
				success: function(e){
					
					if(e==1){
						managagenda.kembali();
					}else{
						loadersimpan.error([{"pesan":"Gagal simpan agenda.."}]);
					}
				}
			});
		},
		hapus:function(a){
			if(a<=0) return;
			var boxyesno=null;
			var databox={
				judul:"Yakin akan menghapus data agenda ini ?? ",
				proses:function(){
					var loaderhapus=mload.loader({"keterangan":"Proses hapus data.."});
					boxyesno.tutup();
					var ik_data = {
						ajax: 1,
						mode: "mod",
						cl: "managagenda",
						ikdata: {0:"hapusData",id:a}
					};
					
					$.ajax({
						url: lokal+"man.ajax.php",
						type: "POST",
						dataType: "json",
						async:true,
						data: ik_data,
						success: function(e){
							if(e==1){
								loaderhapus.error([{"pesan":"Berhasil"}]);
								managagenda.load();
							}else{
								loaderhapus.error([{"pesan":"Gagal hapus data"}]);
							}
						}
					});
				}
			};
			boxyesno=boxwin.yesno(databox);
			boxyesno.buka();
		},
		setstatus:function(a,b,c,d){
			var st=1;
			if(tabel.gettabel(b).getdata(c,"status")==1){
				st=0;
			}
			
			var loaderstatus=mload.loader({"keterangan":"Proses update status.."});
			var ik_data = {ajax: 1,mode: "mod",cl: "managagenda",
				ikdata: {0:"setStatus",status:st,id:a}
			};
			
			$.ajax({
				url: lokal+"man.ajax.php",type: "POST",dataType: "json",async:true,data: ik_data,
				success: function(e){
					
					
					if(e==1){
						loaderstatus.tutup();
						if(st==1){
							d.className="mini_ok";
						}else{
							d.className="mini_dis";
						}
						tabel.gettabel(b).setdata(c,"status",st);
					}else{
						loaderstatus.error([{"pesan":"Gagal update status"}]);
					}
				}
			});
		},
		
	};
})();